Results 1 to 5 of 5

Thread: [12.2 mantis] questions about repositories

  1. #1
    Join Date
    May 2009
    Location
    Liège Walifornia
    Posts
    389

    Default [12.2 mantis] questions about repositories

    Greetings !!

    I'm trying to install the kde sources (kde workspace) in order to get the source code from kslideshow that is buggy to improve its behaviour. I did the same in 11.4 years ago to prevent the screensaver to stuck.
    Problem is (and this is related for all the different entries in yast2-software management):

    If I try to install something yast2 asks me to downgrade (effectively the versions available on the repository are not the same version than the one installed).

    For exemple:

    kde workspace is 4.8.5-2.18.1 installed and the version available is 4.8.5-2.3.1 (???)
    kde worspace devel got 4.8.5-2.3.1 available

    It's normal that yast2 asks me to downgrade but I just wonder why I have the 2.18.1 installed when 2.3.1 is available from the repository ?

    The target repository is: http://download.opensuse.org/distrib...12.2/repo/oss/

  2. #2
    Join Date
    Jun 2008
    Location
    Auckland, NZ
    Posts
    20,375
    Blog Entries
    1

    Default Re: [12.2 mantis] questions about repositories

    It might help if you tell us which repositories you have in use?
    Code:
    zypper lr -d

  3. #3
    Join Date
    May 2009
    Location
    Liège Walifornia
    Posts
    389

    Default Re: [12.2 mantis] questions about repositories

    http://paste.opensuse.org/39012326

    I said the target directory was repo/oss... I only listed those repositories that are enabled.

  4. #4
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: [12.2 mantis] questions about repositories

    On 2014-03-03 15:56, soundlord wrote:
    >
    > http://paste.opensuse.org/39012326
    >
    > I said the target directory was repo/oss... I only listed those
    > repositories that are enabled.


    Please, just paste the text here, inside a code tags section, not
    photos. As your list does not show any update repository, you will not
    get the latest version of packages. No wonder it wants to downgrade.


    --
    Cheers / Saludos,

    Carlos E. R.
    (from 13.1 x86_64 "Bottle" at Telcontar)

  5. #5
    Join Date
    May 2009
    Location
    Liège Walifornia
    Posts
    389

    Default Re: [12.2 mantis] questions about repositories

    You were right... enabling the update repository solved the issue.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •